package com.alibaba.druid.sql.dialect.gauss.ast.stmt;

import com.alibaba.druid.DbType;
import com.alibaba.druid.sql.ast.expr.SQLIdentifierExpr;
import com.alibaba.druid.sql.ast.statement.SQLDropSequenceStatement;
import com.alibaba.druid.sql.dialect.gauss.visitor.GaussASTVisitor;
import com.alibaba.druid.sql.visitor.SQLASTVisitor;
import java.util.ArrayList;

public class GaussDropSequenceStatement extends SQLDropSequenceStatement {
   private ArrayList<SQLIdentifierExpr> seqList = new ArrayList();
   private boolean cascade;
   private boolean restrict;
   private boolean large;

   public boolean isLarge() {
      return this.large;
   }

   public void setLarge(boolean large) {
      this.large = large;
   }

   public GaussDropSequenceStatement() {
      this.dbType = DbType.gauss;
   }

   public ArrayList<SQLIdentifierExpr> getSeqList() {
      return this.seqList;
   }

   public void setSeqList(ArrayList<SQLIdentifierExpr> seqList) {
      this.seqList = seqList;
   }

   public boolean isCascade() {
      return this.cascade;
   }

   public void setCascade(boolean cascade) {
      this.cascade = cascade;
   }

   public boolean isRestrict() {
      return this.restrict;
   }

   public void setRestrict(boolean restrict) {
      this.restrict = restrict;
   }

   public void accept0(SQLASTVisitor visitor) {
      this.accept0((GaussASTVisitor)visitor);
   }

   public void accept0(GaussASTVisitor visitor) {
      visitor.visit(this);
   }
}
